# Asterisk Project : Asterisk 12 ManagerAction_ModuleLoad

Added by wikibot , edited by wikibot on Aug 29, 2013

# ModuleLoad

### Synopsis

Module management.

### Description

Loads, unloads or reloads an Asterisk module in a running system.

### Syntax

    Action: ModuleLoad
    ActionID: <value>
    Module: <value>
    LoadType: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Module` - Asterisk module name (including .so extension) or subsystem identifier:
  - `cdr`
  - `dnsmgr`
  - `extconfig`
  - `enum`
  - `acl`
  - `manager`
  - `http`
  - `logger`
  - `features`
  - `dsp`
  - `udptl`
  - `indications`
  - `cel`
  - `plc`
- `LoadType` - The operation to be done on module. Subsystem identifiers may only be reloaded.
  - `load`
  - `unload`
  - `reload`
    If no module is specified for a `reload` loadtype, all modules are reloaded.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown